#ifndef __KK_SCENE_POLLUTION_H__
#define __KK_SCENE_POLLUTION_H__
#include "cJSON.h"
typedef struct
{
	int min;
	int max;
	int level;
}kk_pollution_level_t;
typedef struct
{
	char *identifier;
	kk_pollution_level_t levelMap[4];
}kk_pollution_t;

typedef struct
{
	kk_pollution_level_t levelMap[5];
}kk_pmGrade_t;

typedef struct kk_TNBSceneId_list{		
	char  sceneId[16];
	struct kk_TNBSceneId_list *next;
} kk_TNBSceneId_list_t;
int kk_pollution_level_check(kk_pollution_level_t levelMap[],int val,int num);
int kk_pollution_check(cJSON *param,int grade);
int kk_pollution_condition_check(char *deviceCode,int grade);
int kk_pm25_condition_check(char *deviceCode);
int kk_TNB_identifier_check(char *identifier);
int kk_TNB_value_check(char *identifier,char *deviceCode,char * compareType,char * compareValue);
int kk_find_TNBScene_execute(const char* sceneId);
void kk_scene_rm_TNBSceneId_list(const char* sceneId);
int kk_scene_push_TNBSceneId_list(const char* sceneId);
void kk_scene_print_TNBSceneId_list();
#endif